Application: gvSIG desktop - gvSIG bugs #2526
CRS management with OSM layers
05/18/2014 06:59 PM - Antonio Falciano

Status: New % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: CRS

Target version:

Severity: Minor Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2227 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

OSM layers (EPSG:3857) are not reprojected on the fly in a view defined in EPSG:4326 for a quite obvious reason: the reprojection of
tiles would be very expensive computationally. But consequently the coordinates showed in the status bar are not compatible with the
CRS of the view. A right behavior should be switching the CRS of the view to Web Mercator when the user add an OSM layer, as it

was implemented in the recent past.

Related issues:

Related to Application: gvSIG desktop - gvSIG bugs # 2739: Conversion between... Closed 07/29/2014

History

#1 - 05/18/2014 09:57 PM - Alvaro Anguix
- Target version deleted (2.1.0-2259-rc3)

#2 - 05/19/2014 11:09 AM - Alvaro Anguix
- Assignee set to Ignacio Brodin

#3 - 09/17/2014 10:49 AM - Antonio Falciano

See also #2805.

#4 - 03/10/2015 11:40 AM - Alvaro Anguix
- Related to gvSIG bugs #2739: Conversion between EPSG:3857 and EPSG:4326 doesn't match added

#5 - 11/19/2015 12:20 PM - Alvaro Anguix
- Assignee deleted (Ignacio Brodin)
